#include <stdio.h>
int main() {
	int broj,cifra[3],i=0,k=0;
	scanf("%d",&broj);
	if(broj<100 || broj>999) {
		printf("-1\n");
		return 0;
	}
	while(broj) {
		cifra[i++]=broj%10;	/* i odredjuje tezinu cifre */
		broj/=10;
	}
	for(i=0;i<10;i++) {		/* i ide od 0 do 9 i ako postoji
					taj broj medju ciframa dodaje ga u broj */
		for(k=0;k<3;k++)
			broj=(cifra[k]==i)? broj*10+i : broj;
	}
	printf("%d\n",broj);
	return 0;
}
